% RB2	the Ricatti-Bessel function of the second kind
%		RB2(rho, nmax) for the value rho from n=1 to n=nmax.


function zeta = RB2(rho, nmax)


% G. Chliveros and MA Rodrigues (2002), CVPRAI Group, Sheffield Hallam University
% http://www.shu.ac.uk/scis/artificial_intelligence

rho = rho(:).';
zeta = zeros(nmax,length(rho));
zeta(1,:) = -cos(rho)./rho - sin(rho);
zeta(2,:) = 3*zeta(1,:)./rho + cos(rho);
for n=3:nmax
	zeta(n,:) = (2*n-1)*zeta(n-1,:)./rho - zeta(n-2,:);
end
